Name:           suscan
Version:        0.3.0
Release:        3%{?dist}
Summary:        A realtime DSP library

License:        GPL-3.0
URL:            https://github.com/BatchDrake/%{name}
%undefine _disable_source_fetch
Source0:        https://github.com/BatchDrake/%{name}/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
%define     SHA256SUM0 2e2c2ed4150d92c8eb8f2bcdb3e46fa9e2da25b154ce946d76d737c3c6d8d5c7

BuildRequires:	gcc
BuildRequires:  cmake
BuildRequires:  libsndfile-devel >= 1.0.2
BuildRequires:	fftw-devel >= 3.0
BuildRequires:  sigutils >= 0.1
BuildRequires:  SoapySDR-devel >= 0.8.1
BuildRequires:  libxml2-devel >= 2.9
BuildRequires:  volk-devel >= 1.0

%description
The sigutils library is a digital signal processing library written in C, designed for blind signal analysis and automatic demodulation in GNU/Linux.

%package devel
Summary: Development library of SuScan
Requires: %{name} = %{version}-%{release}

%description devel
Development SuScan library

%prep
echo "%SHA256SUM0 %SOURCE0" | sha256sum -c -
%autosetup

%build
%cmake -DCMAKE_INSTALL_LIBDIR:PATH=%{_libdir} \
	-DINCLUDE_INSTALL_DIR:PATH=%{_includedir} \
	-DLIB_INSTALL_DIR:PATH=%{_libdir}
%cmake_build

%install
%cmake_install

%files
%license LICENSE
%doc README.md
%{_bindir}/suscli
%{_libdir}/lib%{name}.so*
%{_datadir}/%{name}
%exclude %{_bindir}/*.status

%files devel
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so*
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/%{name}

%changelog
* Sat Dec 23 2023 sebastian
- initial commit
